Skip to main content
POST
/
api
/
v1
/
auth
/
otc
/
deposits
/
{id}
/
confirm
Confirm bank deposit (admin)
curl --request POST \
  --url https://crypto.westminister.tech/api/v1/auth/otc/deposits/{id}/confirm \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "internal_note": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "method": "bank",
  "fiat_amount": "<string>",
  "fiat_currency": "<string>",
  "status": "pending",
  "payment_reference": "<string>",
  "proof_url": "<string>",
  "transfer_date": "2023-11-07T05:31:56Z",
  "merchant_request_id": "<string>",
  "checkout_request_id": "<string>",
  "mpesa_receipt_number": "<string>",
  "mpesa_phone_number": "<string>",
  "confirmed_at": "2023-11-07T05:31:56Z",
  "confirmed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "rejected_at": "2023-11-07T05:31:56Z",
  "rejected_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "rejection_reason": "<string>",
  "internal_note": "<string>",
  "credited_at": "2023-11-07T05:31:56Z",
  "credited_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "usdt_amount": "<string>",
  "to_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Body

application/json
internal_note
string

Response

200 - application/json

Deposit confirmed

id
string<uuid>
merchant_id
string<uuid>
method
enum<string>
Available options:
bank,
mpesa
fiat_amount
string
fiat_currency
string
status
enum<string>
Available options:
pending,
confirmed,
rejected,
credited
payment_reference
string | null
proof_url
string | null
transfer_date
string<date-time> | null
merchant_request_id
string | null
checkout_request_id
string | null
mpesa_receipt_number
string | null
mpesa_phone_number
string | null
confirmed_at
string<date-time> | null
confirmed_by
string<uuid> | null
rejected_at
string<date-time> | null
rejected_by
string<uuid> | null
rejection_reason
string | null
internal_note
string | null
credited_at
string<date-time> | null
credited_by
string<uuid> | null
usdt_amount
string | null
to_wallet_id
string<uuid> | null
transfer_id
string<uuid> | null
created_at
string<date-time>
updated_at
string<date-time>